Get Diagram
curl --request GET \
--url http://{host}:{port}/{contextPath}/process-definition/{id}/diagram \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/process-definition/{id}/diagram"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/process-definition/{id}/diagram', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"type": "<string>",
"message": "<string>",
"code": 123
}Process Definition
Get Diagram
Retrieves the diagram of a process definition.
If the process definition’s deployment contains an image resource with the same file name
as the process definition, the deployed image will be returned by the Get Diagram endpoint.
Example: someProcess.bpmn and someProcess.png.
Supported file extentions for the image are: svg, png, jpg, and gif.
GET
/
process-definition
/
{id}
/
diagram
Get Diagram
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the process definition.
Response
Request successful. The image diagram of this process.
defaults to application/octet-stream if the file suffix is unknown